import {ITreeSelect} from './ITreeSelect';
import {IEmbeddedTreeSelect} from './IEmbeddedTreeSelect';
import {IFactory as IComponentsFactory} from '../IFactory';

export interface IFactory {
    setComponentsFactory(factory: IComponentsFactory): void;
    init(conf:any): void;
    createTreeSelect(): ITreeSelect;
    createEmbeddedTreeSelect(): IEmbeddedTreeSelect;
}